List wallet automation executions
curl --request GET \
--url https://api.privy.io/v1/wallet_automations/executions \
--header 'Authorization: Basic <encoded-value>' \
--header 'privy-app-id: <privy-app-id>'HttpResponse<String> response = Unirest.get("https://api.privy.io/v1/wallet_automations/executions")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.asString();const options = {
method: 'GET',
headers: {'privy-app-id': '<privy-app-id>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.privy.io/v1/wallet_automations/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/wallet_automations/executions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/wallet_automations/executions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"automation_attachment_id": "<string>",
"wallet_id": "<string>",
"trigger_caip2": "<string>",
"trigger_asset_address": "<string>",
"trigger_block_number": "<string>",
"trigger_tx_hash": "<string>",
"wallet_action_id": "<string>",
"status": "pending",
"failure_reason": "<string>",
"triggered_at": "<string>",
"completed_at": "<string>",
"failed_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"next_cursor": "<string>"
}List wallet automation executions
List wallet automation executions, optionally filtered by wallet.
GET
/
v1
/
wallet_automations
/
executions
List wallet automation executions
Authorizations
Basic Auth header with your app ID as the username and your app secret as the password.
Headers
ID of your Privy app.
Query Parameters
Minimum string length:
1Required range:
1 <= x <= 100Was this page helpful?

